/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.logger;

import static org.junit.Assert.assertEquals;

import java.util.Map;

import org.junit.Test;
import org.ow2.petals.commons.log.TraceCode;

/**
 * @author Christophe DENEUX - Linagora
 */
public class ProvideExtFlowStepFailureLogDataTest extends AbstractFlowLogDataTest {

    private final static String TEST_FAILURE_MESSAGE = "fail message";

    @Test
    public void testConstructor() {
        final TraceCode traceCode = TraceCode.PROVIDE_EXT_FLOW_STEP_FAILURE;
        final ProvideExtFlowStepFailureLogData logData = new ProvideExtFlowStepFailureLogData(
                TEST_FLOW_INSTANCE_ID, TEST_FLOW_STEP_ID, TEST_FAILURE_MESSAGE);

        final Map<String, Object> expectedLogData = createExpectedLogData(traceCode);
        assertEquals(expectedLogData, logData);
    }

    @Override
    protected Map<String, Object> createExpectedLogData(TraceCode traceCode) {
        final Map<String, Object> expectedLogData = super.createExpectedLogData(traceCode);
        expectedLogData.put(ProvideExtFlowStepFailureLogData.FLOW_STEP_FAILURE_MESSAGE_NAME,
                TEST_FAILURE_MESSAGE);
        return expectedLogData;
    }
}
